Bug 1970930 (CVE-2021-3597) - CVE-2021-3597 undertow: HTTP2SourceChannel fails to write final frame under some circumstances may lead to DoS
Summary: CVE-2021-3597 undertow: HTTP2SourceChannel fails to write final frame under s...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3597
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1926253 1970931
TreeView+ depends on / blocked
 
Reported: 2021-06-11 13:46 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-09-23 16:30 UTC (History)
82 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in undertow. The HTTP2SourceChannel fails to write the final frame under some circumstances, resulting in a denial of service. The highest threat from this vulnerability is availability.
Clone Of:
Environment:
Last Closed: 2021-09-09 00:21:27 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3466 0 None None None 2021-09-08 14:07:01 UTC
Red Hat Product Errata RHSA-2021:3467 0 None None None 2021-09-08 14:09:21 UTC
Red Hat Product Errata RHSA-2021:3468 0 None None None 2021-09-08 14:04:55 UTC
Red Hat Product Errata RHSA-2021:3471 0 None None None 2021-09-08 13:06:09 UTC
Red Hat Product Errata RHSA-2021:3516 0 None None None 2021-09-13 17:34:27 UTC
Red Hat Product Errata RHSA-2021:3534 0 None None None 2021-09-14 12:37:58 UTC
Red Hat Product Errata RHSA-2021:3656 0 None None None 2021-09-23 16:16:00 UTC
Red Hat Product Errata RHSA-2021:3658 0 None None None 2021-09-23 16:24:25 UTC
Red Hat Product Errata RHSA-2021:3660 0 None None None 2021-09-23 16:30:15 UTC

Description Guilherme de Almeida Suckevicz 2021-06-11 13:46:19 UTC
A flaw was found in undertow where HTTP2SourceChannel fails to write final frame under some circumstances may result in DoS. The highest impact of this vulnerability is availability.

Comment 1 Ted Jongseok Won 2021-06-16 14:17:49 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat build of Thorntail

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 11 errata-xmlrpc 2021-09-08 13:06:06 UTC
This issue has been addressed in the following products:

  EAP 7.3.9 release

Via RHSA-2021:3471 https://access.redhat.com/errata/RHSA-2021:3471

Comment 12 errata-xmlrpc 2021-09-08 14:04:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 8

Via RHSA-2021:3468 https://access.redhat.com/errata/RHSA-2021:3468

Comment 13 errata-xmlrpc 2021-09-08 14:06:57 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 6

Via RHSA-2021:3466 https://access.redhat.com/errata/RHSA-2021:3466

Comment 14 errata-xmlrpc 2021-09-08 14:09:17 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 7

Via RHSA-2021:3467 https://access.redhat.com/errata/RHSA-2021:3467

Comment 15 Product Security DevOps Team 2021-09-09 00:21:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3597

Comment 16 errata-xmlrpc 2021-09-13 17:34:23 UTC
This issue has been addressed in the following products:

  Red Hat EAP-XP 2.0.0 via EAP 7.3.x base

Via RHSA-2021:3516 https://access.redhat.com/errata/RHSA-2021:3516

Comment 17 errata-xmlrpc 2021-09-14 12:37:53 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4.9

Via RHSA-2021:3534 https://access.redhat.com/errata/RHSA-2021:3534

Comment 18 errata-xmlrpc 2021-09-23 16:15:55 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 on RHEL 7

Via RHSA-2021:3656 https://access.redhat.com/errata/RHSA-2021:3656

Comment 19 errata-xmlrpc 2021-09-23 16:24:21 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 8

Via RHSA-2021:3658 https://access.redhat.com/errata/RHSA-2021:3658

Comment 20 errata-xmlrpc 2021-09-23 16:30:11 UTC
This issue has been addressed in the following products:

  EAP 7.4.1 release

Via RHSA-2021:3660 https://access.redhat.com/errata/RHSA-2021:3660


Note You need to log in before you can comment on or make changes to this bug.